#!/usr/bin/env bash
# Runs various linters.

source "$(dirname $(realpath $0))/util.sh"

echo 'Linting source and test files...'

echo '  ruff  - Doing extensive linting'
ruff src/ tests/

echo '  black - Ensuring consistent code style'
run_and_capture black src/ tests/ --check

echo '  isort - Ensuring consistent import structure'
isort src/ tests/ --check-only

echo -e "${bold_green}No issues found${color_reset}\n"
